#ifndef _EMIDI_H_
#define _EMIDI_H_

extern void EuropaFlushMIDIStream(void);
extern void EuropaMIDICancel(void);
extern void EuropaMIDIResetCmd(UINT8 u8ResetReason);
extern void EuropaMIDISendGetStatusRequest(void);
extern EEuropaError EuropaMIDIGetResponse(UINT8 *pu8ResponseBuffer,
										  UINT32 u32ResponseBufferSize,
										  UINT32 *pu32ResponseSize,
										  UINT32 u32TenthsOfSeconds);
extern void EuropaReceiveMIDIByte(UINT8 u8RXByte);
extern void EuropaMIDISendPrepareArea(EEuropaFileCommand eCmd);
extern EEuropaError EuropaMIDIProgramBlock(UINT32 u32BlockNumber,
										   UINT8 *pu8DataArea,
										   UINT32 u32Length);

#endif